Delete an event type
DELETE
https://core.shopimind.com/v1/events/{id_event}
Permanently deletes an event type. After deletion, calls to triggerEvent with the corresponding code_name no longer match. Workflows that subscribe to this event are stopped.
Parameters
Header Parameters
spm-api-key*
[Authentication] Required API key.
Type
Requiredstring
Pattern
"^[a-zA-Z0-9-]{20,64}$"Path Parameters
id_event*
ID of the event to delete
Required
Responses
Client error - Invalid request or authentication issues
application/json
JSON "statusCode": 400, "message": "Invalid request parameters", "error": "Bad Request"
{
}
Delete an event type Permanently deletes an event type. After deletion, calls to triggerEvent with the corresponding code_name no longer match. Workflows that subscribe to this event are stopped. DELETE /v1/events/{id_event} deleteEvent Events spm-api-key [Authentication] Required API key. id_event ID of the event to delete Client error - Invalid request or authentication issues Server error - Internal processing failure